config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

# Keep same perms on rc.atalk.new:
if [ -e etc/rc.d/rc.atalk ]; then
  cp -a etc/rc.d/rc.atalk etc/rc.d/rc.atalk.new.incoming
  cat etc/rc.d/rc.atalk.new > etc/rc.d/rc.atalk.new.incoming
  mv etc/rc.d/rc.atalk.new.incoming etc/rc.d/rc.atalk.new
fi
config etc/rc.d/rc.atalk.new

for file in etc/netatalk/*.new ; do
  config $file
done

if [ -r etc/pam.d/netatalk.new ]; then
  config etc/pam.d/netatalk.new
fi
( cd usr/lib64 ; rm -rf libatalk.so )
( cd usr/lib64 ; ln -sf libatalk.so.19 libatalk.so )
( cd usr/lib64 ; rm -rf libatalk.so.19 )
( cd usr/lib64 ; ln -sf libatalk.so.19.0.0 libatalk.so.19 )
( cd usr/lib64/netatalk ; rm -rf uams_clrtxt.so )
( cd usr/lib64/netatalk ; ln -sf uams_pam.so uams_clrtxt.so )
( cd usr/lib64/netatalk ; rm -rf uams_dhx.so )
( cd usr/lib64/netatalk ; ln -sf uams_dhx_pam.so uams_dhx.so )
( cd usr/lib64/netatalk ; rm -rf uams_dhx2.so )
( cd usr/lib64/netatalk ; ln -sf uams_dhx2_pam.so uams_dhx2.so )
